libec2_20160720-2_i386.deb


Advertisement

Description

libec2 - Library for modular symbols and elliptic curves over Q

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libec2_20160720-2_i386.deb
Package name libec2
Package version 20160720
Package release 2
Package architecture i386
Package type deb
Category math role::shared-lib
Homepage https://github.com/JohnCremona/eclib/
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 1002.99 KB
Installed size 3.01 MB
This library implements 2-descent on elliptic curves over Q and computations
with modular symbols.
It is the library which powers the eclib-tools, which are used for the
elliptic curve database.

Alternatives

Package Version Architecture Repository
libec2_20160720-2_amd64.deb 20160720 amd64 Debian Main
libec2 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libntl27 >= 9.9.1
libpari-gmp-tls5 >= 2.9.0~pre1-1
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libec2_20160720-2_i386.deb
Source Package eclib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libec2 deb package:
    # sudo apt-get install libec2

Files

Path
/usr/lib/i386-linux-gnu/libec.so.2
/usr/lib/i386-linux-gnu/libec.so.2.0.5
/usr/share/doc/libec2/changelog.Debian.gz
/usr/share/doc/libec2/copyright
/usr/share/lintian/overrides/libec2

Changelog

2016-11-05 - Julien Puydt <julien.puydt@laposte.net>
eclib (20160720-2) unstable; urgency=medium
* Marked libec-dev as Multi-Arch: same followin hinter's advice.
* Pushed dh compat to 10. 
* Pushed the bound for numerical noise higher (Closes: #843192).
2016-07-22 - Julien Puydt <julien.puydt@laposte.net>
eclib (20160720-1) unstable; urgency=medium
* New upstream release.
2016-06-30 - Julien Puydt <julien.puydt@laposte.net>
eclib (20160206-2) unstable; urgency=medium
* Added the egr_bound_small_to_zero patch so tests don't
fail on numerical noise. (Closes: #828107)
* Bumped standards version to 3.9.8.
2016-04-13 - Julien Puydt <julien.puydt@laposte.net>
eclib (20160206-1) unstable; urgency=medium
* New upstream release, fixing gcc 6 compilation (Closes: #811821)
* Bump standards version to 3.9.7
* Use https for Vcs-* fields
2016-01-06 - Julien Puydt <julien.puydt@laposte.net>
eclib (20160101-1) unstable; urgency=medium
* New upstream release.
* Set new homepage url.
* Fix Vcs-browser url.
2015-08-30 - Julien Puydt <julien.puydt@laposte.net>
eclib (20150827-1) unstable; urgency=medium
* New upstream release.
* Updated d/watch to follow new upstream tagging scheme.
2015-07-31 - Tobias Hansen <thansen@debian.org>
eclib (20150510-2) unstable; urgency=medium
* Team upload.
[ Julien Puydt ]
* Disable boost support (Closes: #786613)
* Better copyright notice for the m4/* files.
[ Tobias Hansen ]
* Enable parallel building.
2015-05-11 - Julien Puydt <julien.puydt@laposte.net>
eclib (20150510-1) unstable; urgency=medium
* Upgraded to newest upstream version (and versioned without hyphens
like upstream).
* Updated the watch file to handle the no-hyphens version numbers.
* Follow upstream's soname change (rename package libec0 to libec2).
2014-08-26 - Julien Puydt <julien.puydt@laposte.net>
eclib (2014-09-21-1) unstable; urgency=medium
* Upgraded to newest upstream version (we don't need any patches now).
2014-08-03 - Julien Puydt <julien.puydt@laposte.net>
eclib (2014-05-14a-2) unstable; urgency=low
* Added a patch from Alexander Ovchinnikov (Closes: #755227).

See Also

Package Description
libecal-1.2-19_3.22.7-1_i386.deb Client library for evolution calendars
libecal1.2-dev_3.22.7-1_i386.deb Client library for evolution calendars (development files)
libecap3-dev_1.0.1-3.2_i386.deb eCAP development libraries
libecap3_1.0.1-3.2_i386.deb eCAP library
libecasoundc-dev_2.9.1-7+b2_i386.deb multitrack-capable audio recorder and effect processor (C dev library)
libecasoundc1v5_2.9.1-7+b2_i386.deb multitrack-capable audio recorder and effect processor (C library)
libecc0_0.44.15-1+b1_i386.deb eC Compiler Library
libeccodes-data_2.0.2-5_all.deb GRIB and BUFR enecoding/encoding software library - data
libeccodes-dev_2.0.2-5_i386.deb GRIB and BUFR decoding/encoding software library (development)
libeccodes-doc_2.0.2-5_all.deb GRIB decoding/encoding software (documentation)
libeccodes-tools_2.0.2-5_i386.deb GRIB decoding/encoding software (utilities)
libeccodes0_2.0.2-5_i386.deb GRIB and BUFR enecoding/encoding software library
libecere0_0.44.15-1+b1_i386.deb Ecere Runtime Library
libecereaudio0_0.44.15-1+b1_i386.deb Ecere Audio
libecerecom0_0.44.15-1+b1_i386.deb eC Core Runtime Library
Advertisement
Advertisement